<template>
  <v-main>
    <v-card height="100%">
      <v-card-text>
        <v-alert
          border="top"
          colored-border
          type="warning"
          elevation="2"
          class="keep-line-breaks"
        >
          <i18n path="missing-page.text.page">
            <template #link>
              <a :href="missingPageMailUrl">
                {{ $t('missing-page.text.link') }}
              </a>
            </template>
          </i18n>
        </v-alert>
      </v-card-text>
    </v-card>
    <title-manager :title="$t('missing-page.page.title')" />
  </v-main>
</template>

<script lang="ts">
import { missingPageMailUrl } from '@/components/dialogs/mail';
import TitleManager from '@/components/navigation/TitleManager.vue';
import { defineComponent } from 'vue';

export default defineComponent({
  components: { TitleManager },
  data() {
    return {
      missingPageMailUrl,
    };
  },
});

</script>
<style scoped lang="scss">
.keep-line-breaks {
  white-space: pre-line
}
</style>
